Bug 136442 - check-webkit-style is confused by ternary expression inside first member initializer
Summary: check-webkit-style is confused by ternary expression inside first member init...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-01 18:08 PDT by Brian Burg
Modified: 2014-12-03 05:31 PST (History)
5 users (show)

See Also:


Attachments
Proposed patch (1.76 KB, patch)
2014-09-09 01:48 PDT, Nagy Renátó
no flags Details | Formatted Diff | Diff
Proposed patch (2.73 KB, patch)
2014-09-09 02:27 PDT, Nagy Renátó
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Burg 2014-09-01 18:08:53 PDT
Test case:

ProfileGenerator::ProfileGenerator(ExecState* exec, const String&, unsigned)
    : m_origin(exec ? exec->lexicalGlobalObject() : nullptr)
    , m_profileGroup(exec ? exec->lexicalGlobalObject()->profileGroup() : 0)
    , m_foundConsoleStartParent(false)
{
}
Comment 1 Nagy Renátó 2014-09-09 01:48:22 PDT
Created attachment 237844 [details]
Proposed patch
Comment 2 Nagy Renátó 2014-09-09 02:27:33 PDT
Created attachment 237845 [details]
Proposed patch

Fix missing unittests.
Comment 3 WebKit Commit Bot 2014-12-03 05:31:34 PST
Comment on attachment 237845 [details]
Proposed patch

Clearing flags on attachment: 237845

Committed r176718: <http://trac.webkit.org/changeset/176718>
Comment 4 WebKit Commit Bot 2014-12-03 05:31:38 PST
All reviewed patches have been landed.  Closing bug.